Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLListBox Class Reference

`#include <sdllistbox.h>`

Inheritance diagram for SDLListBox

[legend]
Collaboration diagram for SDLListBox:

[legend]
List of all members.

## Public Methods
| SDLListBox (SDLWidget* parent, SDL_Rect r)
| ~SDLListBox ()
void | AddItem (SDLListBoxBaseItem* item)
void | SetMultiSelect (bool multi = true)
bool | GetMultiSelect ()
SDLListBoxBaseItem* | GetSelectedItem ()
void | SelectItem (SDLListBoxBaseItem* item, bool select = true)
void | RemoveAll ()
| Remove all widgets from the list (without deletion). More...
void | DeleteAll ()
| Delete (destroy) all widgets in the list. More...
## Protected Methods
bool | eventSelectItem (SDLListBoxBaseItem* item)
bool | eventMouseButtonUp (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
bool | eventMouseButtonDown (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
bool | eventMouseMotion (const SDL_MouseMotionEvent* motion)
| Overridable Eventhandler for a SDL_MouseMotionEvent message. More...

## Constructor & Destructor Documentation

SDLListBox::SDLListBox ( | SDLWidget * parent,
| SDL_Rect r )

SDLListBox::~SDLListBox ( | )

## Member Function Documentation

void SDLListBox::AddItem ( | SDLListBoxBaseItem * item )

void SDLListBox::DeleteAll ( | )

| Delete (destroy) all widgets in the list. Reimplemented from SDLWidgetList.

bool SDLListBox::GetMultiSelect ( | )

SDLListBoxBaseItem * SDLListBox::GetSelectedItem ( | )

void SDLListBox::RemoveAll ( | )

| Remove all widgets from the list (without deletion). Reimplemented from SDLWidgetList.

void SDLListBox::SelectItem ( | SDLListBoxBaseItem * item,
| bool select = true )

void SDLListBox::SetMultiSelect ( | bool multi = true )

bool SDLListBox::eventMouseButtonDown ( | const SDL_MouseButtonEvent * button )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is pressed. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLWidgetDnD.

bool SDLListBox::eventMouseButtonUp ( | const SDL_MouseButtonEvent * button )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLWidgetDnD.

bool SDLListBox::eventMouseMotion ( | const SDL_MouseMotionEvent * motion )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseMotionEvent message. This handler is called when mouse movement is detected. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  motion | SDL_MouseMotionEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLWidgetDnD.

bool SDLListBox::eventSelectItem ( | SDLListBoxBaseItem * item )`[protected]`

The documentation for this class was generated from the following file:

- sdllistbox.h